description

# DomPoint class Null safety

Inheritance
  - Object
  - DomPointReadOnly
  - DomPoint
Annotations
  - @Native("DOMPoint")

## Constructors

DomPoint([num? x, num? y, num? z, num? w])
  factory

## Properties

hashCode → int
  The hash code for this object. [...]
  read-only, inherited
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited
w ↔ num?
  read / write, override-getter
x ↔ num?
  read / write, override-getter
y ↔ num?
  read / write, override-getter
z ↔ num?
  read / write, override-getter

## Methods

matrixTransform([Map? matrix]) → DomPoint
  inherited
noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited
toString() → String
  Returns a string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator. [...]
  inherited

## Static Properties

supported → bool
  Checks if this type is supported on the current platform.
  read-only

## Static Methods

fromPoint([Map? other]) → DomPoint
  override